Approve Signature
Submit approval for a signature to sign a message or typed data.
API scope required: wallets:signatures.create
Documentation Index
Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Body
Input for submitting one or more approvals
Array of approvals to submit for this transaction
1Schema for WebAuthn signature data
- Passkey signature submission payload
- External wallet signature submission payload
- Email signer signature submission payload
- Phone signer signature submission payload
- Device signer signature submission payload
Response
The signature has been successfully approved.
Complete signature response including status, signing requirements, and wallet type specific data
Unique identifier for the signature
The type of signature
message, typed-data The blockchain type of the wallet
evm, solana, aptos, sui, stellar The wallet type (smart or mpc)
smart, mpc Current status of the signature
awaiting-approval, pending, failed, success Type-specific signature parameters
- Message signature parameters
- Typed data signature parameters
ISO timestamp when the signature was created
"2024-01-01T00:00:00.000Z"
Complete approval data including requirements, pending and submitted signatures
ISO timestamp when the transaction reached finality
"2024-01-01T00:00:00.000Z"
Error message if the signature fails
The wallet's output signature of the request

